<?php

namespace Drupal\vegas\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the Vegas entity.
 *
 * @ConfigEntityType(
 *   id = "vegas_config",
 *   label = @Translation("Vegas"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\vegas\VegasConfigListBuilder",
 *     "form" = {
 *       "add" = "Drupal\vegas\Form\VegasConfigForm",
 *       "edit" = "Drupal\vegas\Form\VegasConfigForm",
 *       "delete" = "Drupal\vegas\Form\VegasConfigDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\vegas\VegasConfigHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "vegas_config",
 *   admin_permission = "administer site configuration",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   config_export = {
 *    "id",
 *    "label",
 *    "uuid",
 *    "vegas_slides_table",
 *    "config_vegas_timer",
 *    "config_vegas_color",
 *    "config_vegas_cover",
 *    "config_vegas_align",
 *    "config_vegas_align_custom",
 *    "config_vegas_valign",
 *    "config_vegas_valign_custom",
 *    "config_vegas_overlay",
 *    "config_vegas_overlay_path",
 *    "config_vegas_autoplay",
 *    "config_vegas_loop",
 *    "config_vegas_shuffle",
 *    "config_vegas_delay",
 *    "config_vegas_transition_select",
 *    "config_vegas_transition",
 *    "config_vegas_transition_duration_select",
 *    "config_vegas_transition_duration",
 *    "config_vegas_first_transition",
 *    "config_vegas_first_transition_duration",
 *    "config_vegas_transition_register",
 *    "config_vegas_animation_select",
 *    "config_vegas_animation",
 *    "config_vegas_animation_duration_select",
 *    "config_vegas_animation_duration",
 *    "config_vegas_animation_register",
 *    "config_vegas_path",
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/vegas_config/{vegas_config}",
 *     "add-form" = "/admin/structure/vegas_config/add",
 *     "edit-form" = "/admin/structure/vegas_config/{vegas_config}/edit",
 *     "delete-form" = "/admin/structure/vegas_config/{vegas_config}/delete",
 *     "collection" = "/admin/structure/vegas_config"
 *   },
 * )
 */
class VegasConfig extends ConfigEntityBase implements VegasConfigInterface {
  /**
   * The Vegas ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Vegas label.
   *
   * @var string
   */
  protected $label;

}
